Bug 738132 - Searching for an XML tag results in an empty search (showing all records)
Summary: Searching for an XML tag results in an empty search (showing all records)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: PressGang CCMS
Classification: Community
Component: Web-UI
Version: 1.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Misty Stanley-Jones
QA Contact: Misty Stanley-Jones
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 04:38 UTC by Misty Stanley-Jones
Modified: 2014-06-18 07:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-06 00:22:05 UTC


Attachments (Terms of Use)

Description Misty Stanley-Jones 2011-09-14 04:38:11 UTC
Searching for the following string in the Topic XML field: </hibernate-configuration>]]>

ends up blanking out the Topic XML search field and giving you every topic in the DB as a result.

Comment 1 Matthew Casperson 2011-10-05 21:34:25 UTC
Fixed in 20111006-0733

Topic.getFieldValue() incorrectly referenced the TOPIC_XML_FILTER_VAR_DESC constant, instead of the TOPIC_XML_FILTER_VAR constant.

Comment 2 Misty Stanley-Jones 2011-10-06 00:13:20 UTC
It seems to work but it doesn't find any results. I searched for <bridgehead> and <variablelist>, and both came up with empty results.

Comment 3 Matthew Casperson 2011-10-06 00:22:05 UTC
http://jboss-eap.bne.redhat.com:8080/TopicIndex/CustomSearchTopicList.seam?topicXml=%3Cvariablelist%3E brings up 36 topics.

A SQL query of <bridgehead> returns no records, so this is also correct.

Comment 4 Misty Stanley-Jones 2011-10-06 00:37:40 UTC
Odd, you are right. I don't know why my query for <variablelist> didn't work.

However, when you click "Back to Search" your previous search term is moved from Topic XML to Topic Description, now.


Note You need to log in before you can comment on or make changes to this bug.